import matplotlib.pyplot as plt
numargs = ncf.numargs
[ dfn, dfd, nc ] = [0.9,] * numargs
rv = ncf(dfn, dfd, nc)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = ncf.cdf(x, dfn, dfd, nc)
h = plt.semilogy(np.abs(x - ncf.ppf(prb, dfn, dfd, nc)) + 1e-20)

# Random number generation

R = ncf.rvs(dfn, dfd, nc, size=100)
